Skip to main content
GET
/
subscriptions
/
cp
/
api
/
subscription-billing-attempts
/
past-orders
/
report
Get past orders report with detailed filtering
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/subscription-billing-attempts/past-orders/report
[
  {
    "subscriptionBillingAttempt": {
      "shop": "<string>",
      "retryingNeeded": true,
      "id": 123,
      "billingAttemptId": "<string>",
      "billingDate": "2023-11-07T05:31:56Z",
      "contractId": 123,
      "attemptCount": 123,
      "attemptTime": "2023-11-07T05:31:56Z",
      "graphOrderId": "<string>",
      "orderId": 123,
      "orderAmount": 123,
      "orderName": "<string>",
      "applyUsageCharge": true,
      "recurringChargeId": 123,
      "transactionRate": 123,
      "billingAttemptResponseMessage": "<string>",
      "progressAttemptCount": 123,
      "orderNote": "<string>",
      "orderAmountUSD": 123,
      "lastShippingUpdatedAt": "2023-11-07T05:31:56Z",
      "inventorySkippedAttemptCount": 123,
      "inventorySkippedRetryingNeeded": true,
      "orderAmountShopCurrency": 123,
      "orderAmountContractCurrency": 123,
      "consolidatedIntoAttemptId": 123
    },
    "subscriptionContractDetails": {
      "shop": "<string>",
      "id": 123,
      "graphSubscriptionContractId": "<string>",
      "subscriptionContractId": 123,
      "billingPolicyInterval": "<string>",
      "billingPolicyIntervalCount": 123,
      "currencyCode": "<string>",
      "customerId": 123,
      "graphCustomerId": "<string>",
      "deliveryPolicyInterval": "<string>",
      "deliveryPolicyIntervalCount": 123,
      "status": "<string>",
      "graphOrderId": "<string>",
      "orderId": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "nextBillingDate": "2023-11-07T05:31:56Z",
      "orderAmount": 123,
      "orderName": "<string>",
      "customerName": "<string>",
      "customerEmail": "<string>",
      "subscriptionCreatedEmailSent": true,
      "endsAt": "2023-11-07T05:31:56Z",
      "startsAt": "2023-11-07T05:31:56Z",
      "minCycles": 123,
      "maxCycles": 123,
      "customerFirstName": "<string>",
      "customerLastName": "<string>",
      "autoCharge": true,
      "importedId": "<string>",
      "stopUpComingOrderEmail": true,
      "pausedFromActive": true,
      "skipPaymentCreateUnpaidOrder": true,
      "phone": "<string>",
      "activatedOn": "2023-11-07T05:31:56Z",
      "pausedOn": "2023-11-07T05:31:56Z",
      "cancelledOn": "2023-11-07T05:31:56Z",
      "contractDetailsJSON": "<string>",
      "deletedVariantIds": "<string>",
      "cancellationFeedback": "<string>",
      "orderNote": "<string>",
      "orderNoteAttributes": "<string>",
      "allowDeliveryPriceOverride": true,
      "disableFixEmptyQueue": true,
      "orderAmountUSD": 123,
      "originalContractId": 123,
      "cancellationNote": "<string>",
      "subscriptionTypeIdentifier": "<string>",
      "upcomingEmailBufferDays": 123,
      "upcomingEmailTaskUrl": "<string>",
      "contractAmount": 123,
      "contractAmountUSD": 123,
      "lastSuccessfulOrder": "<string>",
      "totalSuccessfulOrders": 123,
      "lifetimeValue": 123,
      "lifetimeValueUSD": 123,
      "allowDeliveryAddressOverride": true,
      "billingDateAfterTrial": "2023-11-07T05:31:56Z",
      "pauseReason": "<string>",
      "pauseFeedback": "<string>",
      "pauseTillDate": "2023-11-07T05:31:56Z",
      "pauseDurationCycle": 123,
      "pendingCancellationCycle": 123,
      "pendingCancellationDate": "2023-11-07T05:31:56Z",
      "emailBouncedOrFailed": true,
      "updatingQueue": true,
      "customerTag": "<string>",
      "queueUpdatedAt": "2023-11-07T05:31:56Z",
      "orderAmountShopCurrency": 123,
      "orderAmountContractCurrency": 123,
      "billingCountryCode": "<string>",
      "deliveryCountryCode": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

contractId
integer<int64>
status
enum<string>
required
Available options:
SUCCESS,
FAILURE,
REQUESTING,
PROGRESS,
QUEUED,
SKIPPED,
SOCIAL_CONNECTION_NULL,
CONTRACT_CANCELLED,
CONTRACT_ENDED,
CONTRACT_PAUSED,
AUTO_CHARGE_DISABLED,
SHOPIFY_EXCEPTION,
SKIPPED_DUNNING_MGMT,
SKIPPED_INVENTORY_MGMT,
IMMEDIATE_TRIGGERED,
SECURITY_CHALLENGE,
CONTRACT_PAUSED_MAX_CYCLES,
REFUNDED,
SKIPPED_DEMO_SHOP,
SKIPPED_SHOP_INFO_NOT_FOUND,
SKIPPED_BILLING_DATE_STALE,
SKIPPED_DUNNING_NOT_CONFIGURED,
PENDING_CONSOLIDATION
includeShopifyException
boolean
default:false
fromDay
string<date-time>
toDay
string<date-time>
attemptCount
integer<int32>
billingErrorsKeys
string
customerName
string
errorMessage
string
contractStatus
string
pageable
object
required

Response

Successfully retrieved report

subscriptionBillingAttempt
object
subscriptionContractDetails
object